# $Revision: 1.19 $, $Date: 2007-02-13 07:47:11 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	List
Summary:	File::List Perl module - crawling directory trees and compiling lists of files
Summary(pl.UTF-8):	Moduł Perla File::List - chodzenie po drzewach katalogów tworząc listy plików
Name:		perl-File-List
Version:	0.3.1
Release:	3
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0fdefea8d6dffabc3c2244ea0c627c50
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module crawls the directory tree starting at the provided base
directory and can return files (and/or directories if desired)
matching a regular expression.

%description -l pl.UTF-8
Ten moduł przechodzi po drzewie katalogów zaczynając od zadanego
katalogu bazowego i zwraca pliku (i/lub katalogi, jeśli sobie tego
zażyczyć) pasujące do wyrażenia regularnego.

%prep
%setup -q -n %{pdir}/%{pnam}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-List.spec,v $
Revision 1.19  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:32  baggins
- converted to UTF-8

Revision 1.17  2004/11/03 22:30:21  paladine
- formatting

Revision 1.16  2004/05/07 01:09:20  ankry
- rel. 3

Revision 1.15  2004/05/06 18:09:35  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/25 10:46:47  ankry
- tests added

Revision 1.13  2004/04/20 23:07:06  ankry
- new bcond fixes

Revision 1.12  2004/04/20 13:32:17  ankry
- license fixes / unification

Revision 1.11  2004/04/14 14:57:19  ankry
- cosmetics

Revision 1.10  2003/09/09 10:24:35  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:46  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 19:09:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:39:22  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:32:17  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/25 00:27:24  qboosh
- pl description

Revision 1.1  2002/08/24 17:04:41  radek
- new, STBR
